]> git.friedersdorff.com Git - max/saltfiles.git/blobdiff - states/sway/files/lock
Manage lock and conky scripts
[max/saltfiles.git] / states / sway / files / lock
diff --git a/states/sway/files/lock b/states/sway/files/lock
new file mode 100644 (file)
index 0000000..7549837
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+NAG_MSG="Smartcard is still plugged in, not locking! \
+Lock again to force locking."
+
+LOCK_CMD="swaylock "
+LOCK_CMD+=" -i HDMI-A-2:~/Pictures/lockscreen_1080_1.png"
+LOCK_CMD+=" -i HDMI-A-3:~/Pictures/lockscreen_1080_2.png"
+
+if [ $(pgrep -c lock.{{ grains['host'] }}) -gt 1 ]; then
+       pkill -f "$NAG_MSG" 
+       $LOCK_CMD
+else
+       gpg --card-status > /dev/null
+       if [ $? -ne 2 ]; then
+               gpg --card-status
+               echo $?
+               swaynag -m "$NAG_MSG" --type warning
+       else
+               $LOCK_CMD
+       fi
+fi